Skip to content

Levels REST API

Published: 2024-05-15

Last Updated: 2026-08-26

List Promotion Levels defined in MDCMS.

GET /levels

JSON payloads

All MDCMS REST API response bodies use JSON.

Authorization

Header Type Required Description
Authorization string Yes Bearer token for the MDSEC user. See Authenticate requests to the MDCMS REST API server.

A missing or invalid token returns HTTP 401 Unauthorized.

Query parameters

Parameter Type Required Description
appl string No Application code that contains the levels to list. Omit to return levels for all applications.
lvl integer No A specific Level Number
checkoutAllowed boolean No Set to true if only levels allowing checkout are to be returned. Set to false if only levels not allowing checkout are to be returned. Omit to return both types of levels.

Example

Replace {endpoint} with the URL endpoint defined for the MDCMS HTTP server.

curl -H "Authorization: Bearer {token}" \
  "https://{endpoint}/levels?appl=TEST&checkoutAllowed=true"
GET /levels?appl=TEST&checkoutAllowed=true HTTP/1.1
Host: {endpoint}
Authorization: Bearer {token}

Response body

Schema

Property Type Description
levels array List of level objects.

Level object

Property Type Description
appl string Application code.
lvl integer Level number.
desc string Level description.
checkoutAllowed boolean If checkout is allowed from Level

Example

{
  "levels": [
    {
      "appl": "TEST",
      "lvl": "10",
      "desc": "T8 Dev",
      "checkoutAllowed": true
    },
    {
      "appl": "TEST",
      "lvl": "11",
      "desc": "T8 Dev 2",
      "checkoutAllowed": true
    },
    {
      "appl": "TEST",
      "lvl": "30",
      "desc": "T8 QA (local)",
      "checkoutAllowed": false
    },
    {
      "appl": "TEST",
      "lvl": "50",
      "desc": "T8 Prod (local)",
      "checkoutAllowed": false
    }
  ]
}
Resource Description
Applications REST API List applications
Level Wildcard REST API Update a level wildcard
Attributes REST API List attributes for an application and level